Skip to main content
POST
/
agents
/
actions
/
{action_id}
/
publish
Publish action version
curl --request POST \
  --url https://api.trymaitai.ai/api/v1/agents/actions/{action_id}/publish \
  --header 'Content-Type: application/json' \
  --header 'X-Maitai-Api-Key: <api-key>' \
  --data '
{
  "increment": "patch",
  "version_notes": "Fixed timeout handling"
}
'
{
  "data": {
    "version": "1.0.2",
    "action_id": 200,
    "version_notes": "Fixed timeout handling",
    "date_created": 1706200000
  }
}

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Path Parameters

action_id
integer
required

Body

application/json
increment
string
version_notes
string

Response

201 - application/json

Publish action version.

data
object

An immutable snapshot of an agent's configuration at a point in time.